# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_ParameterNode Class Reference

`#include <Dynamic_ParameterNode.hxx>`

Inheritance diagram for Dynamic_ParameterNode:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_ParameterNode ()
Standard_EXPORT | Dynamic_ParameterNode (const Handle(Dynamic_Parameter)&anitem)
Standard_EXPORT void | Object (const Handle(Dynamic_Parameter)&anitem)
Standard_EXPORT Handle_Dynamic_Parameter | Object () const
Standard_EXPORT void | Next (const Handle(Dynamic_ParameterNode)&anode)
Standard_EXPORT Handle_Dynamic_ParameterNode | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dynamic_ParameterNode | thenextnode
Handle_Dynamic_Parameter | theitem

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_ParameterNode::Dynamic_ParameterNode | ( |  | ) |

Standard_EXPORT Dynamic_ParameterNode::Dynamic_ParameterNode | ( | const Handle(Dynamic_Parameter)& | anitem | ) |

## Member Function Documentation

Standard_EXPORT const Dynamic_ParameterNode::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Handle_Dynamic_ParameterNode Dynamic_ParameterNode::Next | ( |  | ) | const

Standard_EXPORT void Dynamic_ParameterNode::Next | ( | const Handle(Dynamic_ParameterNode)& | anode | ) |

Standard_EXPORT Handle_Dynamic_Parameter Dynamic_ParameterNode::Object | ( |  | ) | const

Standard_EXPORT void Dynamic_ParameterNode::Object | ( | const Handle(Dynamic_Parameter)& | anitem | ) |

## Field Documentation

Handle_Dynamic_Parameter Dynamic_ParameterNode::theitem `[private]`

Handle_Dynamic_ParameterNode Dynamic_ParameterNode::thenextnode `[private]`

The documentation for this class was generated from the following file:

- Dynamic_ParameterNode.hxx